import pandas as pd


def is_valid(resource, file):
    """Check if the content is a readable Apache Parquet file."""

    try:
        pd.read_parquet(file.name)
        return True
    except Exception as e:
        resource["error"] = str(e)
        return False
